<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet
version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--
module :
produce paragraph according to language

update :
$Id$
fplod 2008-04-30T10:57:13Z aedon.locean-ipsl.upmc.fr (Darwin)
creation
-->

<xsl:template name="para_lastupdate_bib">
<!--
 Last update of the bibliography databank : date
-->
<xsl:param name="language"/>
<xsl:param name="date"/>
<xsl:param name="mode"/>

<xsl:variable name="message_lastupdate_bib">
<xsl:choose>
<xsl:when test="($language = 'en')">
Last update of the bibliography databank :
</xsl:when>
<xsl:when test="($language = 'fr')">
Dernire mise  jour de la bibliographie :
</xsl:when>
<xsl:otherwise>
 <xsl:message terminate="yes">
eee : in template para_lastupdate_bib
eee : unknown language : <xsl:value-of select="$language"/>
</xsl:message>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>
 <xsl:text>&#xA;</xsl:text>
<para>
<xsl:value-of select="$message_lastupdate_bib"/> <xsl:value-of select="$date"/>
</para>
 <xsl:text>&#xA;</xsl:text>
</xsl:template>

<xsl:template name="para_lastupdate_user">
<!--
 Last update of the user databank : date
-->
<xsl:param name="language"/>
<xsl:param name="date"/>
<xsl:param name="mode"/>

<xsl:variable name="message_lastupdate_user">
<xsl:choose>
<xsl:when test="($language = 'en')">
Last update of the user databank :
</xsl:when>
<xsl:when test="($language = 'fr')">
Dernire mise  jour de la base utilisateur :
</xsl:when>
<xsl:otherwise>
 <xsl:message terminate="yes">
eee : in template para_lastupdate_user
eee : unknown language : <xsl:value-of select="$language"/>
</xsl:message>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>
 <xsl:text>&#xA;</xsl:text>
<para>
<xsl:value-of select="$message_lastupdate_user"/> <xsl:value-of select="$date"/>
</para>
 <xsl:text>&#xA;</xsl:text>
</xsl:template>

<xsl:template name="para_lastupdate">
<!--
 Last update : date
-->
<xsl:param name="language"/>
<xsl:param name="date"/>
<xsl:param name="mode"/>

<xsl:variable name="message_lastupdate">
<xsl:choose>
<xsl:when test="($language = 'en')">
Last update :
</xsl:when>
<xsl:when test="($language = 'fr')">
Dernire mise  jour :
</xsl:when>
<xsl:otherwise>
 <xsl:message terminate="yes">
eee : in template para_lastupdate
eee : unknown language : <xsl:value-of select="$language"/>
</xsl:message>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>

<xsl:choose>
<xsl:when test="($mode = 'dbk')">
 <xsl:text>&#xA;</xsl:text>
<para>
<xsl:value-of select="$message_lastupdate"/> <xsl:value-of select="$date"/>
</para>
 <xsl:text>&#xA;</xsl:text>
</xsl:when>
<xsl:when test="($mode = 'html')">
<xsl:element name="p">
<xsl:value-of select="$message_lastupdate"/> <xsl:value-of select="$date"/>
</xsl:element>
</xsl:when>
<xsl:when test="($mode = 'flat')">
<xsl:value-of select="$message_lastupdate"/> <xsl:value-of select="$date"/>
</xsl:when>
<xsl:otherwise>
 <xsl:message terminate="yes">
eee : in template para_lastupdate
eee : unknown mode : <xsl:value-of select="$mode"/>
</xsl:message>
</xsl:otherwise>
</xsl:choose>

</xsl:template>

</xsl:stylesheet>
