<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet 
version="1.0" 
xmlns:d="http://docbook.org/ns/docbook"
xmlns:xl="http://www.w3.org/1999/xlink"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--
module :
produce a DocBook 5 with bibliograhy references sorted by authors

update :
$Id$
fplod 2008-04-30T15:02:03Z aedon.locean-ipsl.upmc.fr (Darwin)
language inherited from biblio.xml
fplod 2008-04-29T08:01:08Z aedon.locean-ipsl.upmc.fr (Darwin)
chgt for dbk5
fplod 2007-10-17T07:49:19Z aedon.locean-ipsl.upmc.fr (Darwin)
improve sort (diacriticals)
fplod 2007-05-18T14:31:33Z aedon.locean-ipsl.upmc.fr (Darwin)
modif gestion id
fplod 2007-05-16T15:15:36Z aedon.locean-ipsl.upmc.fr (Darwin)
correction pour homonymes partiels
fplod 2007-05-04T08:17:56Z aedon.locean-ipsl.upmc.fr (Darwin)
externalisation de biblioentry
fplod 2007-04-02T08:53:30Z aedon.locean-ipsl.upmc.fr (Darwin)
journal dans biblioset
fplod 2007-03-30T12:38:34Z aedon.locean-ipsl.upmc.fr (Darwin)
creation
-->


<xsl:output
 method="xml"
 indent="yes"
 encoding="utf-8"
 omit-xml-declaration="no"/>

<xsl:include href="message_lang.xsl"/>

<xsl:include href="firstname_id.xsl"/>
<xsl:include href="surname_id.xsl"/>
<xsl:include href="table_authors.xsl"/>
<xsl:include href="biblioentry_xml.xsl"/>

<xsl:variable name="list_author_ids" select="///d:author[not( self::node() = following::d:author )]"/>

<xsl:template match="d:bibliography">

<xsl:element name="article">
<xsl:attribute name="version">5.0</xsl:attribute>
<xsl:attribute name="xmlns">http://docbook.org/ns/docbook</xsl:attribute>
<xsl:attribute name="xml:lang"><xsl:value-of select="@xml:lang"/></xsl:attribute>
<title>NEMO - Publications - Papers by authors</title>
<info>
<authorgroup>
<author><personname><firstname>Sbastien</firstname> <surname>Masson</surname></personname></author>
<author><personname><firstname>Franoise</firstname> <surname>Pinsard</surname></personname></author>
<!--++-->
</authorgroup>
<keywordset>
<keyword>NEMO</keyword>
</keywordset>
<!-- ++ date -->
</info>
<para xml:id="top">
 This page intents to provide an exhaustive list of the papers that have used NEMO or OPA and/or results from them. Obvioulsy many papers are missing. If you find omissions or mistakes please ask some modification via
<xsl:element name="link">
 <xsl:attribute name="xl:href">
  <xsl:value-of select="'./main.php'"/>
 </xsl:attribute>
 <xsl:text>Nemo Survey main page</xsl:text>
</xsl:element>.
</para>
<para>
You can also see <quote>NEMO - Publications - Papers</quote> sorted by
<xsl:element name="link">
 <xsl:attribute name="xl:href">
  <xsl:value-of select="'./superbib01.html'"/>
 </xsl:attribute>
<xsl:text>years</xsl:text>
</xsl:element>.
</para>

<xsl:call-template name="para_lastupdate_bib">
 <xsl:with-param name="language" select="@xml:lang"/>
 <xsl:with-param name="date" select="d:info/d:date"/>
</xsl:call-template>

<sect1 xml:id="intro">
<title>Introduction</title>
<para>
This document provide bibliography sorted by author's id (<emphasis>SURNAME_f</emphasis>).
</para>

<xsl:call-template name="table_authors">
<xsl:with-param name="linktype" select="'internal'"/>
</xsl:call-template>
</sect1>

<!-- loop on author_ids -->
<xsl:for-each select="$list_author_ids">
<xsl:sort order="ascending" data-type="text" select="translate(.,'abcdefghijklmnopqrstuvwxyz ', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO')"/>
<xsl:variable name="author_id2">
<xsl:call-template name="surname_id">
 <xsl:with-param name="surname" select="d:personname/d:surname"/>
</xsl:call-template>
<xsl:text>_</xsl:text>
<xsl:call-template name="firstname_id">
 <xsl:with-param name="firstname" select="d:personname/d:firstname"/>
</xsl:call-template>
</xsl:variable>
<!--
<xsl:message terminate="no">
noeud courant <xsl:value-of select="name(.)"/>
author <xsl:value-of select="ancestor::d:author"/>
author_id2 <xsl:value-of select="$author_id2"/>
</xsl:message>
-->
<xsl:call-template name="one_author_id">
<xsl:with-param name="author_id" select="$author_id2"/>
<xsl:with-param name="author_name" select="."/>
</xsl:call-template>
</xsl:for-each>

</xsl:element>
</xsl:template>

<xsl:template match="d:info/d:date"/>
<xsl:template match="d:bibliography/d:title"/>

<xsl:template name="one_author_id">
<xsl:param name="author_id"/>
<xsl:param name="author_name"/>
<!--
<xsl:message terminate="no">
call template avec <xsl:value-of select="$author_id"/>
et <xsl:value-of select="$author_name"/>
noeud courant <xsl:value-of select="name(.)"/>
</xsl:message>
-->
<!--
<xsl:message terminate="no">
author_id_<xsl:value-of select="$author_id"/> : <xsl:value-of select="count(/descendant::d:biblioentry[descendant::d:surname=$author_id])"/>
2 author_id_<xsl:value-of select="$author_id"/> : <xsl:value-of select="count(/descendant::d:biblioentry[descendant::d:author=$author_name])"/>
</xsl:message>
-->
<xsl:element name="sect1">
<xsl:attribute name="xml:id">
<xsl:value-of select="$author_id"/>
</xsl:attribute>
<xsl:element name="title">
<xsl:value-of select="$author_name"/>
<xsl:element name="link">
<xsl:attribute name="xl:href"><xsl:text>#top</xsl:text></xsl:attribute>
<xsl:element name="inlinemediaobject">
<xsl:element name="imageobject">
<xsl:element name="imagedata">
<xsl:attribute name="fileref">../../images/globalicondl11x10_up.gif</xsl:attribute>
</xsl:element>
     </xsl:element>
     <xsl:element name="textobject">
      <xsl:element name="phrase">
       <xsl:text>top</xsl:text>
      </xsl:element>
     </xsl:element>
    </xsl:element>
   </xsl:element>
  </xsl:element>
  <xsl:element name="orderedlist">
   <xsl:for-each select="//d:biblioentry">
    <xsl:sort order="descending" data-type="number" select="./d:biblioset/d:pubdate"/>
    <xsl:for-each select="descendant::d:author">
     <xsl:sort order="ascending" data-type="text" select="./d:personname/d:surname"/>
     <xsl:sort order="ascending" data-type="text" select="./d:personname/d:firstname"/>
     <xsl:variable name="author_id2">
<xsl:call-template name="surname_id">
 <xsl:with-param name="surname" select="d:personname/d:surname"/>
</xsl:call-template>
      <xsl:text>_</xsl:text>
<xsl:call-template name="firstname_id">
 <xsl:with-param name="firstname" select="d:personname/d:firstname"/>
</xsl:call-template>
     </xsl:variable>

<!--
     <xsl:message terminate="no">
      ref #<xsl:value-of select="position()"/>
      _id appel <xsl:value-of select="$author_id"/>
      _id fabrique <xsl:value-of select="$author_id2"/>
      egal ? <xsl:value-of select="$author_id2 = $author_id"/>
     </xsl:message>
-->
     <xsl:if test="$author_id2 = $author_id">
  <xsl:call-template name="one_biblioentry">
   <xsl:with-param name="visu_modif" select="'visu'"/>
   <xsl:with-param name="my_biblioentry" select="ancestor::d:biblioentry"/>
  </xsl:call-template>
     </xsl:if>
    </xsl:for-each>
   </xsl:for-each>
  </xsl:element>
 </xsl:element>
</xsl:template>

</xsl:stylesheet>
